import "dart:typed_data";

abstract class IKeyPair {
  Uint8List canonicalPubBytes();

  BigInt getPub();
  BigInt getPriv();
  String privHex();

  bool verifySignature(Uint8List message, Uint8List sigBytes);
  Uint8List signMessage(Uint8List message);
}
