import "../lib/src/utils/util.dart";
import "../lib/src/ChainsqlAPI.dart";
import 'dart:convert' as convert;
import 'dart:typed_data';

void main() {
  String data = "hello world";
  String key = "abcde";

  Uint8List cipher = Chainsql.aes256Encrypt(
      convert.utf8.encode(data), convert.utf8.encode(key));
  print(Util.formatBytesAsHexString(cipher));

  Uint8List origin = Chainsql.aes256Descrypt(cipher, convert.utf8.encode(key));
  print(convert.utf8.decode(origin));
}
